// -----------------------------------------------------------------------------
// This file contains all styles related to the header of the site/application.
// -----------------------------------------------------------------------------


.page__header {
   width: 100%;
   height: 112px;
   position: absolute;
   top: 0;

   .wrp {
      height: 100%;
   }
}

   .page__header__logo {
      float: left;
      display: table;
      height: 100%;

      .main-logo {
         display: table-cell;
         vertical-align: middle;
         height: 40px;
      }
   }

   .page__header__nav {
      float: right;
      height: 100%;

      .nav {
         display: table;
         height: 100%;
         margin: 0;
      }

         .nav__item {
            display: table-cell;
            vertical-align: middle;
            height: 100%;
            margin-bottom: 0;

            &:first-child {

               .nav__link {
                  margin-left: 0; 
               }
            }
         }

            .nav__link {
               margin-left: 32px;
            }
   }



.logo {
   //width: 80px;
   height: 40px;
}

   .logo__letter {
      fill: $blue;
   }



.page--dark {
   
   .logo__letter { fill: $white; }

}



/* ==========================================================================
   $MEDIA-QUERIES
   ========================================================================== */

/* MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(medium) {

}



/* SMALL MOBILE LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-down(small) {

}



/* SMALLER MOBILE LAYOUT
----------------------------------------------- */
@include media-breakpoint-down(xsmall) {

}



/* TABLET LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(medium) {

	
}



/* TABLET LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(medium, large) {

}



/* DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(large) {

	

}



/* DESKTOP LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(large, xlarge) {

}



/* BIG DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xlarge) {

}



/* BIGER DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xxlarge) {

}




/* ==========================================================================
   $RETINA@2X
   ========================================================================== */

@include device-pixel-ratio(2) {

}



/* ==========================================================================
   $RETINA@3X
   ========================================================================== */

@include device-pixel-ratio(3) {

}
